using Mapster;
using ProtoBlogCategory = CMSMicroservice.Protobuf.Protos.BlogCategory;

namespace CMSMicroservice.WebApi.Common.Mappings;

public class BlogCategoryProfile : IRegister
{
    void IRegister.Register(TypeAdapterConfig config)
    {
        // CreateBlogCategory: long → CreateBlogCategoryResponse
        config.NewConfig<long, ProtoBlogCategory.CreateBlogCategoryResponse>()
            .Map(dest => dest.Id, src => src);
    }
}
